var bankLoanInfo = new Vue({
    el: '.bank-loan-wrap',
    data: {
        bannerList: [],
        bankLoanList: [],
        banksList: [],
        instsList: [],
        type: 1,
        province: [],
        citys: [],
        isShow: false,
        curProvince: '',
        curCity: ''
    },
    methods: {
        init: function(){
            this.getBanner();
            this.getBankHost(1);
            this.getBankList();
            this.getInstsList();
            this.setProvince();
        },
        // 获取轮播图列表
        getBanner: function(){
            var that = this;
            $.post(
                comUrl + '/daikuan/carfigure/getList.html', 
                { location: 2}
            )
            .then(function(obj){
                that.bannerList = obj;
            },function(){
                hint();
            })
        },
        // 获取机构贷款信息列表
        getInstsList: function(){
            var that = this;
            $.post(
                comUrl + '/daikuan/bank/getInstsList.html'
            ).then(function(obj){
                that.instsList = obj;
            },function(){
                hint();
            });
        },
        // 获取银行贷款信息列表
        getBankList: function(){
            var that = this;
            $.post(
                comUrl + '/daikuan/bank/getBanksList.html'
            ).then(function(obj){
                that.banksList = obj;
            },function(){
                hint();
            });
        },
        // 获取热门推荐列表
        getBankHost: function(currentPage){
            var that = this;
            $.post(
                comUrl + '/daikuan/bank/host.html', 
                { currentPage: currentPage}
            ).then(function(obj){
                // console.log(obj);
                that.bankLoanList = obj;
            },function(){
                hint();
            });
        },
        changeType: function(type,$this){
            $($this.target).parent().addClass('active').siblings().removeClass('active');
            this.type = type;
        },
        toogleLiw: function($this){
            $($this.target).next('.loan-item-wrap').toggleClass('dn');
        },
        // 跳去详情页
        toDetail: function(bank_inst_id){
            location.href = 'bank-loan-detail.html?bank_inst_id=' + bank_inst_id;
        },
        // 搜索
        search: function(){
            var area = this.curProvince + this.curCity;
            var content = $('#searchTxt').val();
            location.href = 'bank-loan-list.html?area=' + escape(area) + '&content=' + escape(content);
        },
        setProvince: function(){
            var that = this;
            $.post(comUrl + '/daikuan/area/list.html')
            .then(function(obj){
                console.log(obj);
                that.province = obj;
            },function(){
                hint();
            });
        },
        setCity: function(name,$this){
            $($this.currentTarget).addClass('active').siblings('span').removeClass('active');
            var that = this;
            that.curProvince = name;
            that.citys = [], that.curCity = '';
            for(var i=0; i<this.province.length; i++){
                if(name == this.province[i].name){
                    for(var j=0; j<this.province[i].next.length; j++){
                        that.citys.push(this.province[i].next[j]);
                    }
                }
            }
        },
        chooseCity: function(name,$this){
            $($this.currentTarget).addClass('active').siblings('span').removeClass('active');
            var that = this;
            that.curCity = name;
        },
        setAddress: function(){
            // this.isShow = false;
            $('#area-txt').text(this.curCity);
            this.hideAddress();
        },
        showAddress: function(){
            this.isShow = true;
        },
        hideAddress: function(){
            var that = this;
            that.isShow = false;
            that.citys = [];
            that.curProvince = '';
            that.curCity = '';
            $('.address-wrap').find('span').removeClass('active');
        }
    },
    watch: {
        'bannerList': function(){
            this.$nextTick(function(){
                var mySwiper = new Swiper ('.swiper-container', {
                    autoplay : 4000,
                    direction: 'horizontal',
                    loop: true,
                    // 如果需要分页器
                    pagination: '.swiper-pagination'    
                });
            });
        }
    }
});

bankLoanInfo.init();