var currentPage = 1;
var indexInfo = new Vue({
    el: '.index-wrap',
    data: {
        indexInfo: {},
        bannerList: [],
        loginStatus: false,
        newsList: [],
        shareInfo: {}
    },
    methods: {
        init: function(){
            this.getIndexInfo();
            this.getShare();
            this.getBanner();
            this.getLoginStatus();
            this.getNewsLs();
        },
        //获取登录状态
        getLoginStatus: function(){
            var that = this;
            var loginStatus = localStorage.getItem('user_id' + flagName) || '';
            if(loginStatus == ''){
                that.loginStatus = false;
            }else{
                that.loginStatus = true;
            }
        },
        //登录
        login: function(){
            login();
        },
        //打开登录界面
        showLogin: function(){
            showLogin();
        },
        //关闭登录界面
        closeLogin: function(){
            closeLogin();
        },
        //获取首页轮播图
        getBanner: function(){
            var that = this;
            $.post(
                comUrl + '/daikuan/carfigure/getList.html', 
                { location: 1}
            )
            .then(function(obj){
                // console.log(obj);
                that.bannerList = obj;
            },function(){
                hint();
            })
        },
        //获取首页信息
        getIndexInfo: function(){
            var that = this;
            $.post(comUrl + '/daikuan/web/index.html')
            .then(function(obj){
                // console.log(obj);
                that.indexInfo = obj;
            },function(){
                hint();
            })
        },
        //获取资讯列表
        getNewsLs: function(){
            var that = this;
            $.post(
                comUrl + '/daikuan/informat/getList.html', 
                { currentPage: currentPage}
            )
            .then(function(obj){
                that.newsList = that.newsList.concat(obj);
            },function(){
                hint();
            })
        },
        // 加载更多
        loadMoreNews: function(){
            currentPage++;
            this.getNewsLs();
        },
        //跳去资讯详情
        toNewsDetail: function(id){
            location.href = 'news-detail.html?newsId=' + id;
        },
        // 跳去个人中心
        myCenter: function(){
            var user_id = localStorage.getItem('user_id' + flagName);
            location.href = 'mycenter.html?user_id=' + user_id;
        },
        // 获取分享内容
        getShare: function(){
            var that = this;
            $.post(comUrl + '/daikuan/web/share.html')
            .then(function(obj){
//                console.log(obj);
                that.shareInfo = obj;
            },function(){
                hint();
            })
        },

        share: function(){
            var recom_number = localStorage.getItem('recom_number' + flagName);
            if(recom_number){
                this.shareInfo.link = this.shareInfo.link + '?pre_recom=' + recom_number;
                var shareContent = JSON.stringify(this.shareInfo);
                NativeMethod.jsCallAppShare(shareContent);
            }else{
                var shareContent = JSON.stringify(this.shareInfo);
                NativeMethod.jsCallAppShare(shareContent);
            }
        }
    },
    watch: {
        'loginStatus': function(){

        },
        'bannerList': function(){
            this.$nextTick(function(){
                var mySwiper = new Swiper ('.swiper-container', {
                    autoplay : 4000,
                    direction: 'horizontal',
                    loop: true,
                    // 如果需要分页器
                    pagination: '.swiper-pagination'    
                });
            });
        }
    }
});

indexInfo.init();